### Method

# GObject Closure add_invalidate_notifier

#### Declaration

    void
    g_closure_add_invalidate_notifier (
      GClosure* closure,
      gpointer notify_data,
      GClosureNotify notify_func
    )

#### Description

Registers an invalidation notifier which will be called when the `closure` is invalidated with g_closure_invalidate().

Invalidation notifiers are invoked before finalization notifiers, in an unspecified order.

This method is not directly available to language bindings.

#### Parameters

`notify_data`

  Type: `gpointer`

  Data to pass to `notify_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`notify_func`

  Type: `GClosureNotify`

  The callback function to register.

  The argument can be `NULL`.